class SSL_HELPER

  def initialize(dbag, id)
    @id = id
    @dbag = dbag
    ssl_data
  end

  def ssl_data
    begin
      @ssl_data = Chef::EncryptedDataBagItem.load(@dbag, @id)
    rescue
      raise "No such data bag or data bag item #{@id}!"
    end
  end
    
  def check(type, data=SSL_PROCESSER)
    data.check(type, @ssl_data)
  end

  def fetch(type, data=SSL_PROCESSER)
    data.fetch(type, @ssl_data)
  end

  def self.check_if_should_be_processed(data)
    if data.nil? or !data or data.eql?("")
      false
    else
      true
    end
  end

end

class SSL_PROCESSER

  def self.check(type, ssl_data)
    if ssl_data[type].nil? or ssl_data[type].empty? or !ssl_data[type]
      raise "No such #{type} in data_bag file. Please add it first!"
    else
      true
    end
  end

  def self.fetch(type, ssl_data)
    ssl_data[type]
  end

end
